%define name cinelerra
%define ver	2.1
%define svnrel	1046
%define version %{ver}
%define distsuffix plf
%define rel	2
%define release %mkrel 1.svn%{svnrel}.%rel

Summary: 	Non-Linear Video Editing Suite
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
# svn export svn://svn.skolelinux.org/cinelerra/trunk/hvirtual cinelerra
Source0: 	%{name}-svn-%{svnrel}.tar.bz2
Patch0:		cinelerra-2.1-fix-videodev.patch.bz2
URL: 		http://cvs.cinelerra.org
License: 	GPL
Group: 		Video
BuildRoot:      %{_tmppath}/%{name}-buildroot
Requires:	mjpegtools >= 1.6.3
#BuildRequires:	automake1.8
BuildRequires:	libtool
BuildRequires:	X11-devel
BuildRequires:	a52dec-devel
BuildRequires:	esound-devel
BuildRequires:	ffmpeg-devel
BuildRequires:  fftw3-devel
BuildRequires:	ImageMagick
BuildRequires:  jpeg-devel
BuildRequires:	lame-devel
BuildRequires:	libalsa-devel
BuildRequires:  libaudiofile-devel
BuildRequires:  libavc1394-devel
BuildRequires:	libdv-devel
BuildRequires:  libext2fs-devel
BuildRequires:  libfaac-devel
BuildRequires:  libfaad2-devel
BuildRequires:	libfftw-devel >= 3.0
BuildRequires:	libiec61883-devel
%if %mdkversion >= 200710
BuildRequires:	libmesagl-devel
%endif
BuildRequires:  libmjpegtools-devel
BuildRequires:  libogg-devel
BuildRequires:	libraw1394-devel
BuildRequires:  libsndfile-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	nasm
BuildRequires:	OpenEXR-devel
BuildRequires:	png-devel
BuildRequires:	texinfo
BuildRequires:  tiff-devel
BuildRequires:  x264-devel
BuildRequires:  xvid-devel
Conflicts:	libmpeg3-progs

%description
If you want to make movies, you want the compositing
and editing that the big boys use, you want the efficiency
of an embedded UNIX operating system combined with the
power of a general purpose PC, or you just want to defy
the establishment, the time has come to download Cinelerra.

This version is based on the "Community" tree found at
http://cvs.cinelerra.org.

This package is in PLF because MP3 encoder and
video codecs are covered by software patents.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .videodev

%ifarch x86_64
# conditional as breaks i586 build
perl -pi -e s,-prefer-non-pic,, quicktime/ffmpeg/libavcodec/i386/Makefile.am
%endif

%build
./autogen.sh
%configure2_5x \
	--enable-freetype2 \
	--disable-rpath \
	--enable-alsa \
	--with-plugindir="%{_libdir}/%{name}"

make

%install
rm -rf %{buildroot}
%makeinstall_std

(cd %buildroot%{_libdir}
 ln -s %{_bindir}/mpeg2enc %{buildroot}%{_libdir}/%{name}/mpeg2enc.plugin
)

rm -rf %{buildroot}/%{_includedir}
rm -f  %{buildroot}/%{_libdir}/pkgconfig %{buildroot}/%{_libdir}/{*.so,*.la,*.a}

chmod 0644 %{buildroot}%{_libdir}/%{name}/fonts/*

# icons
mkdir -p %{buildroot}/%{_liconsdir}
convert plugins/bluedottheme/data/reel.png -resize 48x48 %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%{_iconsdir}
convert plugins/bluedottheme/data/reel.png -resize 32x32 %{buildroot}/%_iconsdir/%name.png
mkdir -p %{buildroot}/%{_miconsdir}
convert plugins/bluedottheme/data/reel.png -resize 16x16 %{buildroot}/%_miconsdir/%name.png

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="cinelerra" \
needs="x11" \
section="Multimedia/Video" \
title="Cinelerra" \
icon="%name.png" \
%if %{mdkversion} >= 200610
xdg=true \
%endif
longtitle="Non-Linear Video Editor"
EOF

rm -f %{buildroot}%{_datadir}/applications/cinelerra.desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=Cinelerra
Comment=Non-Linear Video Editor
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Video;AudioVideoEditing;X-MandrivaLinux-Multimedia-Video;
Encoding=UTF-8
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post 
%{update_menus}
/sbin/ldconfig

%postun 
%{clean_menus}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS NEWS TODO doc/*
%{_bindir}/cinelerra
%{_bindir}/mpeg3cat
%{_bindir}/mpeg3dump
%{_bindir}/mpeg3toc
%{_bindir}/mplexlo
%{_datadir}/pixmaps/*
%{_libdir}/%{name}
%{_libdir}/*.so.*
%{_menudir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%changelog
* Thu Mar 27 2008 Anssi Hannula <anssi@zarb.org> 2.1-1.svn1046.2plf2008.1
- rebuild for new x264

* Thu Dec 27 2007 Anssi Hannula <anssi@zarb.org> 2.1-1.svn1046.1plf2008.1
- new snapshot

* Sat Apr 21 2007 Anssi Hannula <anssi@zarb.org> 2.1-1.svn1008.1plf2008.0
- new snapshot
- build with OpenGL 2.0 support on 2007.1 and up

* Thu Jan 11 2007 Anssi Hannula <anssi@zarb.org> 2.1-1.svn979.1plf2007.1
- new snapshot

* Tue Nov 21 2006 Anssi Hannula <anssi@zarb.org> 2.1-1.svn958.1plf2007.1
- new snapshot
- from joeghi:
  o allow building with nvidia OpenGL 2.0, disabled by default
  o fix menu entry
  o chmod fonts to 0644

* Tue Oct 03 2006 Anssi Hannula <anssi@zarb.org> 2.1-1.svn909.1plf
- from joeghi:
  o new snapshot (svn909).
  o added Patch0 to get snapshot compiling.

* Sun Aug 13 2006 Anssi Hannula <anssi@zarb.org> 2.0.svn839-1plf
- new snapshot
- fix URL
- fix icons
- clean spec
- xdg menu
- buildrequires libtool

* Sat Apr 22 2006 trem <trem@zarb.org> 2.0.cvs20051004-3plf
- fix plf reason (thanks guillomovitch)

* Fri Apr 21 2006 trem <trem@zarb.org> 2.0.cvs20051004-2plf
- fix plf reason
- use %mkrel

* Wed Oct 4 2005 Austin Acton <austin@zarb.org> 2.0.cvs20051004-1plf
- new checkout fixes double free error
- add buildrequires
- make plugin dir lib64 friendly

* Fri Sep 30 2005 Austin Acton <austin@zarb.org> 2.0.cvs-1plf
- 2.0
- buildrequires x264-devel libtheora-devel libfftw3-devel

* Thu Jan 3 2005 Austin Acton <austin@zarb.org> 1.2.2.cvs-1plf
- 1.2.2
- buildrequires openexr

* Sat Oct 9 2004 Austin Acton <austin@zarb.org> 1.2.1.cvs20041009-1plf
- move to community CVS tree (uses GNU build tools)
- add pretty icon

* Fri Dec 26 2003 Stefan van der Eijk <stefan@eijk.nu. 1.1.8-1plf
- 1.1.8
- BuildRequires

* Tue May 13 2003 Austin Acton <aacton@yorku.ca> 1.1.6-1plf
- new release

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 1.1.5-2plf
- fix a 9.0 build error with dv.c
- buildrequires texinfo, ncurses-devel

* Tue Feb 11 2003 Austin Acton <aacton@yorku.ca> 1.1.5-1plf
- 1.1.5
- no longer has mix2000/xmovie binaries, remove obsoletes

* Tue Jan 7 2003 Austin Acton <aacton@yorku.ca> 1.1.0-2plf
- fix libmpeg3

* Mon Dec 16 2002 Austin Acton <aacton@yorku.ca> 1.1.0-1plf
- bump version
- requires ext2 headers
- fix doubly-defined defualt argument (gcc3.2 fails)
- fix up my ugly spec file
- add full docs

* Fri Aug 16 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-3plf
- add conflict libmpeg3-progs 

* Thu Aug 15 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.0.0-2plf
- gcc 3.2-0.3mdk build

* Wed Aug 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-1plf
- plf package
- cleanup / macroize

* Mon Aug 12 2002 Austin Acton <aacton@yorku.ca> 1.0.0-1mdk
- initial package creation for MDK 8.2
